<?php
/**
 * Property Dealer functions and definitions
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package property_dealer
 */

if ( ! defined( 'PROPERTY_DEALER_VERSION' ) ) {
	define( 'PROPERTY_DEALER_VERSION', '1.0.0' );
}

$property_dealer_theme_data = wp_get_theme();
if( ! defined( 'PROPERTY_DEALER_THEME_VERSION' ) ) define ( 'PROPERTY_DEALER_THEME_VERSION', $property_dealer_theme_data->get( 'Version' ) );
if( ! defined( 'PROPERTY_DEALER_THEME_NAME' ) ) define( 'PROPERTY_DEALER_THEME_NAME', $property_dealer_theme_data->get( 'Name' ) );

if ( ! function_exists( 'property_dealer_setup' ) ) :
	
	function property_dealer_setup() {
		
		load_theme_textdomain( 'property-dealer', get_template_directory() . '/languages' );

		add_theme_support( 'woocommerce' );

		add_theme_support( 'automatic-feed-links' );
		
		add_theme_support( 'title-tag' );

		add_theme_support( 'post-thumbnails' );

		register_nav_menus(
			array(
				'primary' => esc_html__( 'Primary', 'property-dealer' ),
			)
		);

		add_theme_support(
			'html5',
			array(
				'search-form',
				'comment-form',
				'comment-list',
				'gallery',
				'caption',
				'style',
				'script',
				'woocommerce',
			)
		);

		add_theme_support( 'post-formats', array(
			'image',
			'video',
			'gallery',
			'audio', 
		) );

		add_theme_support(
			'custom-background',
			apply_filters(
				'property_dealer_custom_background_args',
				array(
					'default-color' => 'ffffff',
					'default-image' => '',
				)
			)
		);

		add_theme_support( 'customize-selective-refresh-widgets' );

		add_theme_support(
			'custom-logo',
			array(
				'height'      => 250,
				'width'       => 250,
				'flex-width'  => true,
				'flex-height' => true,
			)
		);

		add_theme_support( 'align-wide' );

		add_theme_support( 'responsive-embeds' );

		/*  Demo Import */
		require get_parent_theme_file_path( '/theme-wizard/config.php' );

	}
endif;
add_action( 'after_setup_theme', 'property_dealer_setup' );

function property_dealer_content_width() {
	$GLOBALS['content_width'] = apply_filters( 'property_dealer_content_width', 640 );
}
add_action( 'after_setup_theme', 'property_dealer_content_width', 0 );

function property_dealer_widgets_init() {
	register_sidebar(
		array(
			'name'          => esc_html__( 'Sidebar', 'property-dealer' ),
			'id'            => 'sidebar-1',
			'description'   => esc_html__( 'Add widgets here.', 'property-dealer' ),
			'before_widget' => '<section id="%1$s" class="widget %2$s">',
			'after_widget'  => '</section>',
			'before_title'  => '<h2 class="widget-title"><span>',
			'after_title'   => '</span></h2>',
		)
	);

	// Regsiter 4 footer widgets.
	$property_dealer_footer_widget_column = get_theme_mod('property_dealer_footer_widget_column','4');
	for ($property_dealer_i=1; $property_dealer_i<=$property_dealer_footer_widget_column; $property_dealer_i++) {
		register_sidebar( array(
			'name' => __( 'Footer  ', 'property-dealer' )  . $property_dealer_i,
			'id' => 'footer-widget-' . $property_dealer_i,
			'description' => __( 'The Footer Widget Area', 'property-dealer' )  . $property_dealer_i,
			'before_widget' => '<aside id="%1$s" class="widget %2$s">',
			'after_widget' => '</aside>',
			'before_title' => '<div class="widget-header"><h4 class="widget-title">',
			'after_title' => '</h4></div>',
		) );
	}
}
add_action( 'widgets_init', 'property_dealer_widgets_init' );

/**
 * Enqueue scripts and styles.
 */
function property_dealer_scripts() {
	// Append .min if SCRIPT_DEBUG is false.
	$min = ( defined( 'SCRIPT_DEBUG' ) && SCRIPT_DEBUG ) ? '' : '.min';

	// Fontawesome style.
	wp_enqueue_style( 'font-awesome-css', esc_url(get_template_directory_uri())."/resource/css/fontawesome-all.css" );

	// Main style.
	wp_enqueue_style( 'property-dealer-style', get_template_directory_uri() . '/style.css', array(), PROPERTY_DEALER_VERSION );

	// RTL style.
	wp_style_add_data('property-dealer-style', 'rtl', 'replace');

	if (get_theme_mod('property_dealer_enable_animation', true) == true){
		// Animate CSS
		wp_enqueue_style( 'animate-style', get_template_directory_uri() . '/resource/css/animate.css' );
		// Wow script.
		wp_enqueue_script( 'wow-jquery', get_template_directory_uri() . '/resource/js/wow.js', array('jquery'),'' ,true );
	}

	wp_enqueue_style( 'owl.carousel-css', esc_url(get_template_directory_uri())."/resource/css/owl.carousel.css" );

	// Navigation script.
	wp_enqueue_script( 'property-dealer-navigation-script', get_template_directory_uri() . '/resource/js/navigation.js', array(), PROPERTY_DEALER_VERSION, true );

	// Custom script.
	wp_enqueue_script( 'property-dealer-custom-script', get_template_directory_uri() . '/resource/js/custom.js', array( 'jquery' ), PROPERTY_DEALER_VERSION, true );

	wp_enqueue_script( 'owl.carousel-js', esc_url(get_template_directory_uri()). '/resource/js/owl.carousel.js', array('jquery') );

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}

	// Include the file.
	require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

	// Load the webfont.
	wp_enqueue_style(
		'Cormorant Garamond',
		Property_Dealer_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&display=swap' ),
		array(),
		'1.0'
	);

	// Load the webfont.
	wp_enqueue_style(
		'Yantramanav',
		Property_Dealer_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Yantramanav:wght@100;300;400;500;700;900&display=swap' ),
		array(),
		'1.0'
	);

	// Load the webfont.
	wp_enqueue_style(
		'Work Sans',
		Property_Dealer_wptt_get_webfont_url( 'https://fonts.googleapis.com/css2?family=Work+Sans:ital,wght@0,100..900;1,100..900&display=swap' ),
		array(),
		'1.0'
	);
}
add_action( 'wp_enqueue_scripts', 'property_dealer_scripts' );

//Change number of products per page 
add_filter( 'loop_shop_per_page', 'property_dealer_products_per_page' );
function property_dealer_products_per_page( $cols ) {
  	return  get_theme_mod( 'property_dealer_products_per_page',9);
}

// Change number or products per row 
add_filter('loop_shop_columns', 'property_dealer_loop_columns');
	if (!function_exists('property_dealer_loop_columns')) {
	function property_dealer_loop_columns() {
		return get_theme_mod( 'property_dealer_products_per_row', 3 );
	}
}

/**
 * Include wptt webfont loader.
 */
require_once get_theme_file_path( 'theme-library/function-files/wptt-webfont-loader.php' );

/**
 * Implement the Custom Header feature.
 */
require get_template_directory() . '/theme-library/custom-header.php';

/**
 * Custom template tags for this theme.
 */
require get_template_directory() . '/theme-library/function-files/template-tags.php';

/**
 * Functions which enhance the theme by hooking into WordPress.
 */
require get_template_directory() . '/theme-library/function-files/template-functions.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/theme-library/customizer.php';

/**
 * Google Fonts
 */
require get_template_directory() . '/theme-library/function-files/google-fonts.php';

/**
 * Dynamic CSS
 */
require get_template_directory() . '/theme-library/dynamic-css.php';

/**
 * Breadcrumb
 */
require get_template_directory() . '/theme-library/function-files/class-breadcrumb-trail.php';

/**
 * Customizer Settings Functions
*/
require get_template_directory() . '/theme-library/function-files/customizer-settings-functions.php';

/**
 * Getting Started
*/
require get_template_directory() . '/theme-library/getting-started/getting-started.php';

function property_dealer_links_setup() {
	if ( ! defined( 'PROPERTY_DEALER_PREMIUM_PAGE' ) ) {
	define('PROPERTY_DEALER_PREMIUM_PAGE',__('https://asterthemes.com/products/property-wordpress-theme','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_THEME_PAGE' ) ) {
		define('PROPERTY_DEALER_THEME_PAGE',__('https://asterthemes.com/products/property-dealer','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_SUPPORT' ) ) {
	define('PROPERTY_DEALER_SUPPORT',__('https://wordpress.org/support/theme/property-dealer/','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_REVIEW' ) ) {
	define('PROPERTY_DEALER_REVIEW',__('https://wordpress.org/support/theme/property-dealer/reviews/','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_PRO_DEMO' ) ) {
	define('PROPERTY_DEALER_PRO_DEMO',__('https://demo.asterthemes.com/property-dealer/','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_THEME_DOCUMENTATION' ) ) {
	define('PROPERTY_DEALER_THEME_DOCUMENTATION',__('https://demo.asterthemes.com/docs/property-dealer-free/','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_PREMIUM_DOCUMENTATION' ) ) {
	define('PROPERTY_DEALER_PREMIUM_DOCUMENTATION',__('https://demo.asterthemes.com/docs/property-dealer-pro/','property-dealer'));
	}
	if ( ! defined( 'PROPERTY_DEALER_BUNDLE_PAGE' ) ) {
		define('PROPERTY_DEALER_BUNDLE_PAGE',__('https://asterthemes.com/products/wp-theme-bundle','property-dealer'));
	}
}
add_action('after_setup_theme', 'property_dealer_links_setup');

require get_template_directory() . '/page-properties.php';

// Enqueue Customizer live preview script
function property_dealer_customizer_live_preview() {
    wp_enqueue_script(
        'property-dealer-customizer',
        get_template_directory_uri() . '/resource/js/customizer.js',
        array('jquery', 'customize-preview'),
        '',
        true
    );
}
add_action('customize_preview_init', 'property_dealer_customizer_live_preview');

// Featured Image Dimension
function property_dealer_blog_post_featured_image_dimension(){
	if(get_theme_mod('property_dealer_blog_post_featured_image_dimension') == 'custom' ) {
		return true;
	}
	return false;
}

// Add animation class
if ( class_exists( 'WooCommerce' ) ) { 
	add_filter('post_class', function($property_dealer_classes, $class, $product_id) {

	    if( is_shop() || is_product_category() || is_product() ){
	        
	        $property_dealer_classes = array_merge(['wow','zoomIn'], $property_dealer_classes);
	    }

	    return $property_dealer_classes;

	}, 10, 3);
}
//woocommerce-end//

add_filter( 'woocommerce_enable_setup_wizard', '__return_false' );